Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451674 - We should use the service command instead the direct use of /etc/init.d/
Summary: We should use the service command instead the direct use of /etc/init.d/
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: freeIPA
Classification: Retired
Component: Documentation
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David O'Brien
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 16:33 UTC by Martin Nagy
Modified: 2016-07-26 23:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-23 17:50:33 UTC


Attachments (Terms of Use)

Description Martin Nagy 2008-06-16 16:33:43 UTC
Description of problem:
In the documentation, the /etc/init.d/something is used few times, but we should
always use the service command when appropriate (with Fedora and RHEL). Search
the google for "init.d site:freeipa.org" to find the relevant results, but I
guess we can ignore the one for Solaris (unless someone knows of other way that
is preferred).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 David O'Brien 2008-07-16 05:23:32 UTC
am I missing something here?

[root@giza ~]# service rpcgssd status
[root@giza ~]# chkconfig --list | grep rpc
rpcgssd         0:off   1:off   2:off   3:on    4:on    5:on    6:off
rpcidmapd       0:off   1:off   2:off   3:on    4:on    5:on    6:off
rpcsvcgssd      0:off   1:off   2:off   3:off   4:off   5:off   6:off
[root@giza ~]# service rpcgssd restart
[root@giza ~]#

giza is a RHEL 5.2 server running ipa server.

I'm unable to get any sort of feedback from this service at all.


Comment 3 Martin Nagy 2008-07-16 09:03:35 UTC
David, try "echo $?" after the failed service command.

Comment 4 David O'Brien 2008-07-17 00:10:46 UTC
Hi Martin.
It seems to like "6"

[root@giza ~]# service rpcgssd status
[root@giza ~]# echo $?
6
[root@giza ~]# service rpcgssd restart
[root@giza ~]# echo $?
6
[root@giza ~]#

Of course I have lots of questions...  what does echo $? mean, what does 6 mean,
how dow I fix it (assuming it's broken)...  :-)  Thanks for your help.

Comment 5 Martin Nagy 2008-07-17 07:22:14 UTC
Well, to answer your questions: echo $? will print the exit code of the last
command. 6 in init scripts according to our guidelines means "program is not
configured".
Looking at the init script, I can tell there are three things that may be wrong:
1. you don't have /etc/sysconfig/network file present
2. it contains NETWORKING=no (should be yes)
3. you don't have a file /etc/sysconfig/nfs or it doesn't contain SECURE_NFS=yes
I'd bet you have the third problem :)

Comment 6 David O'Brien 2008-07-18 04:49:09 UTC
Fixed and checked in.

Comment 7 Jenny Galipeau 2008-11-25 18:47:20 UTC
In what document is this bug referring to?  More than one of the documents?

Comment 9 David O'Brien 2008-11-26 00:14:33 UTC
I did find one missed instance of this in the Enterprise doc (Admin Guide, Configuring Authentication) but that's been fixed.

The freeIPA doc won't be updated (by me) until post GA.

This bug can stay open (being freeIPA) but it doesn't block rheipa11

Comment 10 David O'Brien 2009-01-07 22:15:15 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.